org.eclipse.microprofile.openapi.annotations.media

## Annotation Type ExampleObject

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface ExampleObject

This object illustrates an example of a particular content

See Also:
  OpenAPI Specification Example Object

### Optional Element Summary

Optional Elements
`String` `description` Long description for the example.
`String` `externalValue` A URL to point to an external document to be used as an example.
`String` `name` A unique name to identify this particular example in a map.
`String` `ref` Reference value to an Example object.
`String` `summary` A brief summary of the purpose or context of the example
`String` `value` A string representation of the example.

### Element Detail

#### name

    public abstract String name

A unique name to identify this particular example in a map.

The name is REQUIRED when the example is defined within `Components`. The name will be used as the key to add this example to the 'examples' map for reuse.

Returns:
  the name of this example

Default:
  ""

#### summary

    public abstract String summary

A brief summary of the purpose or context of the example

Returns:
  a summary of this example

Default:
  ""

#### description

    public abstract String description

Long description for the example. CommonMark syntax MAY be used for rich text representation.

Returns:
  a description of this example

Default:
  ""

#### value

    public abstract String value

A string representation of the example.

This is mutually exclusive with the externalValue property, and ignored if the externalValue property is specified.

If the media type associated with the example allows parsing into an object, it may be converted from a string.

Returns:
  the value of the example

Default:
  ""

#### externalValue

    public abstract String externalValue

A URL to point to an external document to be used as an example. This provides the capability to reference examples that cannot easily be included in JSON or YAML documents.

This is mutually exclusive with the value property.

Returns:
  an external URL of the example

Default:
  ""

#### ref

    public abstract String ref

Reference value to an Example object.

This property provides a reference to an object defined elsewhere. This property and all other properties are mutually exclusive. If other properties are defined in addition to the ref property then the result is undefined.

Returns:
  reference to an example

Default:
  ""